Ubuntu

linuxtv.org mercurial repository wont build against hardy kernel due to "disagrees about version of symbol videobuf_*

Reported by riddlebox on 2008-04-23
26
Affects Status Importance Assigned to Milestone
linux-ubuntu-modules-2.6.24 (Ubuntu)
Low
Unassigned

Bug Description

linuxtv.org mercurial repository wont build against hardy kernel due to "disagrees about version of symbol videobuf_*

This used to compile and work on every other version of ubuntu that I compiled it on. Here is the dmesg output that I get after I compile it. I am using the RC candidate of Hardy with kernel 2.6.24-16-generic

james@mythtv:~$ lsb_release -rd
Description: Ubuntu 8.04
Release: 8.04

[ 22.697096] Early unpacking initramfs... done
[ 23.048377] ACPI: Core revision 20070126
[ 23.048502] ACPI: Looking for DSDT in initramfs... error, file /DSDT.aml not found.
[ 23.050146] CPU0: AMD mobile AMD Athlon(tm) XP-M 2800+ stepping 00
[ 23.050175] Total of 1 processors activated (4269.31 BogoMIPS).
[ 23.050290] ENABLING IO-APIC IRQs
[ 23.050473] ..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 23.194256] Brought up 1 CPUs
[ 23.194294] CPU0 attaching sched-domain:
[ 23.194297] domain 0: span 01
[ 23.194299] groups: 01
[ 23.194580] net_namespace: 64 bytes
[ 23.194591] Booting paravirtualized kernel on bare hardware
[ 23.195090] Time: 1:27:36 Date: 04/23/08
[ 23.195136] NET: Registered protocol family 16
[ 23.195399] EISA bus registered
[ 23.195422] ACPI: bus type pci registered
[ 23.197185] PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=2
[ 23.197188] Setting up standard PCI resources
[ 23.218185] ACPI: EC: Look up EC in DSDT
[ 23.221897] ACPI: Interpreter enabled
[ 23.221900] ACPI: (supports S0 S1 S3 S4 S5)
[ 23.221916] ACPI: Using IOAPIC for interrupt routing
[ 23.228542] ACPI: PCI Root Bridge [PCI0] (0000:00)
[ 23.229729] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[ 23.231393] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 7 10 *11 12 14 15)
[ 23.231481] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 *5 7 10 11 12 14 15)
[ 23.231563] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 7 *10 11 12 14 15)
[ 23.231646] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 *5 7 10 11 12 14 15)
[ 23.231727] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 *5 7 10 11 12 14 15)
[ 23.231806] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 *5 7 10 11 12 14 15)
[ 23.231887] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 *7 10 11 12 14 15)
[ 23.231969] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 *5 7 10 11 12 14 15)
[ 23.232084] ACPI Warning (tbutils-0217): Incorrect checksum in table [OEMB] - DD, should be D2 [20070126]
[ 23.232091] Linux Plug and Play Support v0.97 (c) Adam Belay
[ 23.232126] pnp: PnP ACPI init
[ 23.232134] ACPI: bus type pnp registered
[ 23.236769] pnp: PnP ACPI: found 12 devices
[ 23.236771] ACPI: ACPI bus type pnp unregistered
[ 23.236775] PnPBIOS: Disabled by ACPI PNP
[ 23.237061] PCI: Using ACPI for IRQ routing
[ 23.237064] PCI: If a device doesn't work, try "pci=routeirq". If it helps, post a report
[ 23.254075] NET: Registered protocol family 8
[ 23.254078] NET: Registered protocol family 20
[ 23.254181] AppArmor: AppArmor Filesystem Enabled
[ 23.258055] Time: tsc clocksource has been installed.
[ 23.266079] system 00:05: ioport range 0x480-0x48f has been reserved
[ 23.266083] system 00:05: ioport range 0x4d0-0x4d1 has been reserved
[ 23.266085] system 00:05: ioport range 0x800-0x8df has been reserved
[ 23.266088] system 00:05: ioport range 0x8e0-0x8ff has been reserved
[ 23.266090] system 00:05: iomem range 0xfff80000-0xffffffff has been reserved
[ 23.266093] system 00:05: iomem range 0xffe80000-0xffefffff has been reserved
[ 23.266096] system 00:05: iomem range 0xfed00000-0xfed003ff has been reserved
[ 23.266101] system 00:06: iomem range 0xfec00000-0xfec00fff has been reserved
[ 23.266104] system 00:06: iomem range 0xfee00000-0xfee00fff has been reserved
[ 23.266111] system 00:0b: iomem range 0x0-0x9ffff could not be reserved
[ 23.266114] system 00:0b: iomem range 0xc0000-0xdffff could not be reserved
[ 23.266117] system 00:0b: iomem range 0xe0000-0xfffff could not be reserved
[ 23.266120] system 00:0b: iomem range 0x100000-0x3fffffff could not be reserved
[ 23.266122] system 00:0b: iomem range 0x0-0x0 could not be reserved
[ 23.296508] PCI: Bridge: 0000:00:01.0
[ 23.296510] IO window: disabled.
[ 23.296517] MEM window: c7e00000-c9efffff
[ 23.296521] PREFETCH window: a7d00000-b7cfffff
[ 23.296527] PCI: Bridge: 0000:00:0b.0
[ 23.296528] IO window: disabled.
[ 23.296533] MEM window: disabled.
[ 23.296537] PREFETCH window: b7d00000-c7cfffff
[ 23.296578] NET: Registered protocol family 2
[ 23.334042] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[ 23.334521] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[ 23.337157] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[ 23.338519] TCP: Hash tables configured (established 131072 bind 65536)
[ 23.338524] TCP reno registered
[ 23.350104] checking if image is initramfs... it is
[ 23.796997] Switched to high resolution mode on CPU 0
[ 23.998087] Freeing initrd memory: 7814k freed
[ 23.999019] audit: initializing netlink socket (disabled)
[ 23.999042] audit(1208914056.296:1): initialized
[ 23.999278] highmem bounce pool size: 64 pages
[ 24.001389] VFS: Disk quotas dquot_6.5.1
[ 24.001476] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[ 24.001655] io scheduler noop registered
[ 24.001657] io scheduler anticipatory registered
[ 24.001660] io scheduler deadline registered
[ 24.001670] io scheduler cfq registered (default)
[ 24.001730] Boot video device is 0000:01:00.0
[ 24.002079] isapnp: Scanning for PnP cards...
[ 24.354913] isapnp: No Plug & Play device found
[ 24.385755] Real Time Clock Driver v1.12ac
[ 24.385885] Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
[ 24.386029] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[ 24.386164] serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
[ 24.386806] 00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[ 24.387720] RAMDISK driver initialized: 16 RAM disks of 65536K size 1024 blocksize
[ 24.387804] input: Macintosh mouse button emulation as /devices/virtual/input/input0
[ 24.387913] PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[ 24.387917] PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[ 24.388036] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 24.395827] mice: PS/2 mouse device common for all mice
[ 24.395959] EISA: Probing bus 0 at eisa.0
[ 24.395996] EISA: Detected 0 cards.
[ 24.396001] cpuidle: using governor ladder
[ 24.396003] cpuidle: using governor menu
[ 24.396192] NET: Registered protocol family 1
[ 24.396227] Using IPI No-Shortcut mode
[ 24.396289] registered taskstats version 1
[ 24.396429] Magic number: 4:743:458
[ 24.396724] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 24.396727] EDD information not available.
[ 24.397420] Freeing unused kernel memory: 364k freed
[ 24.423658] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[ 25.627021] fuse init (API version 7.9)
[ 25.649194] ACPI: Processor [CPU1] (supports 8 throttling states)
[ 26.216239] SCSI subsystem initialized
[ 26.279410] libata version 3.00 loaded.
[ 26.283898] usbcore: registered new interface driver usbfs
[ 26.283947] usbcore: registered new interface driver hub
[ 26.310927] usbcore: registered new device driver usb
[ 26.335785] pata_sis 0000:00:02.5: version 0.5.2
[ 26.347653] scsi0 : pata_sis
[ 26.359659] ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
[ 26.371631] scsi1 : pata_sis
[ 26.372350] ata1: PATA max UDMA/133 cmd 0x1f0 ctl 0x3f6 bmdma 0xffa0 irq 14
[ 26.372355] ata2: PATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xffa8 irq 15
[ 26.391397] sis900.c: v1.08.10 Apr. 2 2006
[ 26.499398] Floppy drive(s): fd0 is 1.44M
[ 26.518979] FDC 0 is a post-1991 82077
[ 26.535727] ata1.00: ATA-6: WDC WD800BB-00JHC0, 05.01C05, max UDMA/100
[ 26.535734] ata1.00: 156301488 sectors, multi 16: LBA
[ 26.543722] ata1.00: configured for UDMA/100
[ 27.046512] ata2.01: ATAPI: LITE-ON DVDRW SHW-160P6S, PS01, max UDMA/66
[ 27.046530] ata2.01: limited to UDMA/33 due to 40-wire cable
[ 27.234104] ata2.01: configured for UDMA/33
[ 27.234306] scsi 0:0:0:0: Direct-Access ATA WDC WD800BB-00JH 05.0 PQ: 0 ANSI: 5
[ 27.235627] scsi 1:0:1:0: CD-ROM LITE-ON DVDRW SHW-160P6S PS01 PQ: 0 ANSI: 5
[ 27.238125] ACPI: PCI Interrupt 0000:00:03.0[A] -> GSI 20 (level, low) -> IRQ 16
[ 27.238145] ohci_hcd 0000:00:03.0: OHCI Host Controller
[ 27.238595] ohci_hcd 0000:00:03.0: new USB bus registered, assigned bus number 1
[ 27.238621] ohci_hcd 0000:00:03.0: irq 16, io mem 0xcffec000
[ 27.295813] usb usb1: configuration #1 chosen from 1 choice
[ 27.295848] hub 1-0:1.0: USB hub found
[ 27.295861] hub 1-0:1.0: 3 ports detected
[ 27.397580] ACPI: PCI Interrupt 0000:00:03.1[B] -> GSI 21 (level, low) -> IRQ 17
[ 27.397610] ohci_hcd 0000:00:03.1: OHCI Host Controller
[ 27.397642] ohci_hcd 0000:00:03.1: new USB bus registered, assigned bus number 2
[ 27.397666] ohci_hcd 0000:00:03.1: irq 17, io mem 0xcffed000
[ 27.455379] usb usb2: configuration #1 chosen from 1 choice
[ 27.455408] hub 2-0:1.0: USB hub found
[ 27.455417] hub 2-0:1.0: 3 ports detected
[ 27.557195] ACPI: PCI Interrupt 0000:00:03.2[C] -> GSI 22 (level, low) -> IRQ 18
[ 27.557219] ohci_hcd 0000:00:03.2: OHCI Host Controller
[ 27.557249] ohci_hcd 0000:00:03.2: new USB bus registered, assigned bus number 3
[ 27.557270] ohci_hcd 0000:00:03.2: irq 18, io mem 0xcffee000
[ 27.615082] usb usb3: configuration #1 chosen from 1 choice
[ 27.615113] hub 3-0:1.0: USB hub found
[ 27.615124] hub 3-0:1.0: 2 ports detected
[ 27.700773] usb 1-1: new low speed USB device using ohci_hcd and address 2
[ 27.717340] ACPI: PCI Interrupt 0000:00:03.3[D] -> GSI 23 (level, low) -> IRQ 19
[ 27.717363] ehci_hcd 0000:00:03.3: EHCI Host Controller
[ 27.717416] ehci_hcd 0000:00:03.3: new USB bus registered, assigned bus number 4
[ 27.717469] PCI: cache line size of 64 is not supported by device 0000:00:03.3
[ 27.717483] ehci_hcd 0000:00:03.3: irq 19, io mem 0xcffef000
[ 27.888375] ehci_hcd 0000:00:03.3: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
[ 27.888586] usb usb4: configuration #1 chosen from 1 choice
[ 27.888618] hub 4-0:1.0: USB hub found
[ 27.888629] hub 4-0:1.0: 8 ports detected
[ 27.992754] ACPI: PCI Interrupt 0000:00:04.0[A] -> GSI 19 (level, low) -> IRQ 20
[ 27.993971] 0000:00:04.0: Realtek RTL8201 PHY transceiver found at address 1.
[ 28.003724] 0000:00:04.0: Using transceiver found at address 1 as default
[ 28.005581] eth0: SiS 900 PCI Fast Ethernet at 0xe400, IRQ 20, 00:11:5b:fc:36:8d
[ 28.018840] Driver 'sd' needs updating - please use bus_type methods
[ 28.019000] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors (80026 MB)
[ 28.019019] sd 0:0:0:0: [sda] Write Protect is off
[ 28.019022] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 28.019041] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 28.019112] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors (80026 MB)
[ 28.019123] sd 0:0:0:0: [sda] Write Protect is off
[ 28.019126] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[ 28.019141] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 28.019145] sda:<4>Driver 'sr' needs updating - please use bus_type methods
[ 28.034052] sda2 < sda5 sda6 >
[ 28.034662] sd 0:0:0:0: [sda] Attached SCSI disk
[ 28.043187] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 28.043215] sr 1:0:1:0: Attached scsi generic sg1 type 5
[ 28.046677] sr0: scsi3-mmc drive: 48x/48x writer cd/rw xa/form2 cdda tray
[ 28.046687] Uniform CD-ROM driver Revision: 3.20
[ 28.046767] sr 1:0:1:0: Attached scsi CD-ROM sr0
[ 28.283557] usb 1-1: device not accepting address 2, error -62
[ 28.419666] Attempting manual resume
[ 28.419673] swsusp: Resume From Partition 8:5
[ 28.419675] PM: Checking swsusp image.
[ 28.419883] PM: Resume from disk failed.
[ 28.463669] kjournald starting. Commit interval 5 seconds
[ 28.463697] EXT3-fs: mounted filesystem with ordered data mode.
[ 28.954152] usb 1-1: new low speed USB device using ohci_hcd and address 4
[ 29.163680] usb 1-1: configuration #1 chosen from 1 choice
[ 35.420830] input: PC Speaker as /devices/platform/pcspkr/input/input2
[ 35.504531] irda_init()
[ 35.504571] NET: Registered protocol family 23
[ 36.050164] Linux video capture interface: v2.00
[ 36.117056] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 36.154422] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[ 36.262899] Linux agpgart interface v0.102
[ 36.278956] agpgart: Detected SiS chipset - id:1857
[ 36.285648] agpgart: AGP aperture is 64M @ 0xd0000000
[ 36.369562] input: Power Button (FF) as /devices/virtual/input/input3
[ 36.398642] ACPI: Power Button (FF) [PWRF]
[ 36.398754] input: Power Button (CM) as /devices/virtual/input/input4
[ 36.426911] ACPI: Power Button (CM) [PWRB]
[ 36.522370] cx88xx: disagrees about version of symbol videobuf_dma_free
[ 36.522382] cx88xx: Unknown symbol videobuf_dma_free
[ 36.522448] cx88xx: disagrees about version of symbol videobuf_waiton
[ 36.522451] cx88xx: Unknown symbol videobuf_waiton
[ 36.522761] cx88xx: disagrees about version of symbol btcx_riscmem_alloc
[ 36.522763] cx88xx: Unknown symbol btcx_riscmem_alloc
[ 36.522822] cx88xx: disagrees about version of symbol btcx_riscmem_free
[ 36.522824] cx88xx: Unknown symbol btcx_riscmem_free
[ 36.522854] cx88xx: disagrees about version of symbol videobuf_dma_unmap
[ 36.522856] cx88xx: Unknown symbol videobuf_dma_unmap
[ 36.522983] cx88xx: disagrees about version of symbol video_device_alloc
[ 36.522985] cx88xx: Unknown symbol video_device_alloc
[ 36.523264] cx88xx: disagrees about version of symbol video_device_release
[ 36.523266] cx88xx: Unknown symbol video_device_release
[ 36.523479] cx88xx: disagrees about version of symbol videobuf_to_dma
[ 36.523480] cx88xx: Unknown symbol videobuf_to_dma
[ 36.560841] cx88xx: disagrees about version of symbol videobuf_dma_free
[ 36.560849] cx88xx: Unknown symbol videobuf_dma_free
[ 36.560915] cx88xx: disagrees about version of symbol videobuf_waiton
[ 36.560917] cx88xx: Unknown symbol videobuf_waiton
[ 36.561224] cx88xx: disagrees about version of symbol btcx_riscmem_alloc
[ 36.561226] cx88xx: Unknown symbol btcx_riscmem_alloc
[ 36.561285] cx88xx: disagrees about version of symbol btcx_riscmem_free
[ 36.561287] cx88xx: Unknown symbol btcx_riscmem_free
[ 36.561317] cx88xx: disagrees about version of symbol videobuf_dma_unmap
[ 36.561319] cx88xx: Unknown symbol videobuf_dma_unmap
[ 36.561447] cx88xx: disagrees about version of symbol video_device_alloc
[ 36.561449] cx88xx: Unknown symbol video_device_alloc
[ 36.561731] cx88xx: disagrees about version of symbol video_device_release
[ 36.561733] cx88xx: Unknown symbol video_device_release
[ 36.561948] cx88xx: disagrees about version of symbol videobuf_to_dma
[ 36.561950] cx88xx: Unknown symbol videobuf_to_dma
[ 36.568745] cx8800: disagrees about version of symbol videobuf_streamoff
[ 36.568757] cx8800: Unknown symbol videobuf_streamoff
[ 36.568876] cx8800: Unknown symbol cx88_reset
[ 36.568910] cx8800: disagrees about version of symbol videobuf_poll_stream
[ 36.568912] cx8800: Unknown symbol videobuf_poll_stream
[ 36.568979] cx8800: Unknown symbol cx88_call_i2c_clients
[ 36.569015] cx8800: Unknown symbol cx88_wakeup
[ 36.569064] cx8800: Unknown symbol cx88_risc_stopper
[ 36.569142] cx8800: Unknown symbol cx88_print_irqbits
[ 36.569178] cx8800: Unknown symbol cx88_set_scale
[ 36.569226] cx8800: Unknown symbol cx88_shutdown
[ 36.569259] cx8800: disagrees about version of symbol videobuf_reqbufs
[ 36.569261] cx8800: Unknown symbol videobuf_reqbufs
[ 36.569297] cx8800: Unknown symbol cx88_vdev_init
[ 36.569353] cx8800: Unknown symbol cx88_core_put
[ 36.569405] cx8800: Unknown symbol cx88_audio_thread
[ 36.569438] cx8800: disagrees about version of symbol videobuf_dqbuf
[ 36.569439] cx8800: Unknown symbol videobuf_dqbuf
[ 36.569476] cx8800: Unknown symbol cx88_core_irq
[ 36.569525] cx8800: Unknown symbol cx88_core_get
[ 36.569562] cx8800: Unknown symbol cx88_get_stereo
[ 36.569598] cx8800: Unknown symbol cx88_ir_stop
[ 36.569640] cx8800: Unknown symbol cx88_set_tvnorm
[ 36.569681] cx8800: Unknown symbol cx88_ir_start
[ 36.569741] cx8800: disagrees about version of symbol videobuf_stop
[ 36.569742] cx8800: Unknown symbol videobuf_stop
[ 36.569808] cx8800: Unknown symbol videobuf_queue_pci_init
[ 36.569845] cx8800: Unknown symbol cx88_risc_buffer
[ 36.569876] cx8800: disagrees about version of symbol btcx_riscmem_free
[ 36.569878] cx8800: Unknown symbol btcx_riscmem_free
[ 36.569909] cx8800: disagrees about version of symbol videobuf_read_stream
[ 36.569911] cx8800: Unknown symbol videobuf_read_stream
[ 36.569961] cx8800: disagrees about version of symbol videobuf_querybuf
[ 36.569963] cx8800: Unknown symbol videobuf_querybuf
[ 36.569999] cx8800: Unknown symbol cx88_set_stereo
[ 36.570028] cx8800: disagrees about version of symbol video_unregister_device
[ 36.570030] cx8800: Unknown symbol video_unregister_device
[ 36.570062] cx8800: disagrees about version of symbol videobuf_qbuf
[ 36.570064] cx8800: Unknown symbol videobuf_qbuf
[ 36.570110] cx8800: disagrees about version of symbol videobuf_read_one
[ 36.570112] cx8800: Unknown symbol videobuf_read_one
[ 36.570159] cx8800: Unknown symbol cx88_sram_channels
[ 36.570188] cx8800: disagrees about version of symbol video_register_device
[ 36.570190] cx8800: Unknown symbol video_register_device
[ 36.570260] cx8800: Unknown symbol cx88_set_tvaudio
[ 36.570297] cx8800: Unknown symbol cx88_sram_channel_dump
[ 36.570350] cx8800: Unknown symbol cx88_sram_channel_setup
[ 36.570388] cx8800: disagrees about version of symbol videobuf_iolock
[ 36.570390] cx8800: Unknown symbol videobuf_iolock
[ 36.570425] cx8800: Unknown symbol cx88_free_buffer
[ 36.570457] cx8800: disagrees about version of symbol videobuf_streamon
[ 36.570459] cx8800: Unknown symbol videobuf_streamon
[ 36.570490] cx8800: disagrees about version of symbol videobuf_queue_cancel
[ 36.570493] cx8800: Unknown symbol videobuf_queue_cancel
[ 36.570542] cx8800: disagrees about version of symbol video_device_release
[ 36.570544] cx8800: Unknown symbol video_device_release
[ 36.570575] cx8800: disagrees about version of symbol videobuf_mmap_mapper
[ 36.570577] cx8800: Unknown symbol videobuf_mmap_mapper
[ 36.570613] cx8800: disagrees about version of symbol videobuf_cgmbuf
[ 36.570615] cx8800: Unknown symbol videobuf_cgmbuf
[ 36.570652] cx8800: Unknown symbol cx88_newstation
[ 36.570697] cx8800: disagrees about version of symbol videobuf_to_dma
[ 36.570699] cx8800: Unknown symbol videobuf_to_dma
[ 36.570729] cx8800: disagrees about version of symbol videobuf_mmap_free
[ 36.570731] cx8800: Unknown symbol videobuf_mmap_free
[ 36.571844] cx88xx: disagrees about version of symbol videobuf_dma_free
[ 36.571847] cx88xx: Unknown symbol videobuf_dma_free
[ 36.571911] cx88xx: disagrees about version of symbol videobuf_waiton
[ 36.571913] cx88xx: Unknown symbol videobuf_waiton
[ 36.572219] cx88xx: disagrees about version of symbol btcx_riscmem_alloc
[ 36.572221] cx88xx: Unknown symbol btcx_riscmem_alloc
[ 36.572280] cx88xx: disagrees about version of symbol btcx_riscmem_free
[ 36.572282] cx88xx: Unknown symbol btcx_riscmem_free
[ 36.572313] cx88xx: disagrees about version of symbol videobuf_dma_unmap
[ 36.572315] cx88xx: Unknown symbol videobuf_dma_unmap
[ 36.572443] cx88xx: disagrees about version of symbol video_device_alloc
[ 36.572445] cx88xx: Unknown symbol video_device_alloc
[ 36.572727] cx88xx: disagrees about version of symbol video_device_release
[ 36.572729] cx88xx: Unknown symbol video_device_release
[ 36.572944] cx88xx: disagrees about version of symbol videobuf_to_dma
[ 36.572946] cx88xx: Unknown symbol videobuf_to_dma
[ 36.574408] cx8802: Unknown symbol cx88_reset
[ 36.574448] cx8802: Unknown symbol cx88_wakeup
[ 36.574496] cx8802: Unknown symbol cx88_risc_stopper
[ 36.574544] cx8802: Unknown symbol cx88_print_irqbits
[ 36.574591] cx8802: Unknown symbol cx88_shutdown
[ 36.574634] cx8802: Unknown symbol cx88_core_put
[ 36.574685] cx8802: Unknown symbol cx88_core_irq
[ 36.574733] cx8802: Unknown symbol cx88_core_get
[ 36.574774] cx8802: disagrees about version of symbol btcx_riscmem_free
[ 36.574776] cx8802: Unknown symbol btcx_riscmem_free
[ 36.574845] cx8802: Unknown symbol cx88_sram_channels
[ 36.574882] cx8802: Unknown symbol cx88_sram_channel_dump
[ 36.574923] cx8802: Unknown symbol cx88_sram_channel_setup
[ 36.574961] cx8802: disagrees about version of symbol videobuf_iolock
[ 36.574963] cx8802: Unknown symbol videobuf_iolock
[ 36.574998] cx8802: Unknown symbol cx88_free_buffer
[ 36.575080] cx8802: Unknown symbol cx88_risc_databuffer
[ 36.575110] cx8802: disagrees about version of symbol videobuf_to_dma
[ 36.575112] cx8802: Unknown symbol videobuf_to_dma
[ 36.857239] cx88_alsa: Unknown symbol cx88_print_irqbits
[ 36.857339] cx88_alsa: disagrees about version of symbol videobuf_dma_free
[ 36.857341] cx88_alsa: Unknown symbol videobuf_dma_free
[ 36.857394] cx88_alsa: Unknown symbol cx88_core_put
[ 36.857461] cx88_alsa: Unknown symbol videobuf_pci_alloc
[ 36.857499] cx88_alsa: Unknown symbol cx88_core_irq
[ 36.857548] cx88_alsa: Unknown symbol cx88_core_get
[ 36.857745] cx88_alsa: disagrees about version of symbol btcx_riscmem_free
[ 36.857747] cx88_alsa: Unknown symbol btcx_riscmem_free
[ 36.857847] cx88_alsa: disagrees about version of symbol videobuf_dma_init
[ 36.857849] cx88_alsa: Unknown symbol videobuf_dma_init
[ 36.857897] cx88_alsa: Unknown symbol cx88_sram_channels
[ 36.857934] cx88_alsa: Unknown symbol cx88_sram_channel_dump
[ 36.857983] cx88_alsa: Unknown symbol cx88_sram_channel_setup
[ 36.858018] cx88_alsa: disagrees about version of symbol videobuf_dma_init_kernel
[ 36.858020] cx88_alsa: Unknown symbol videobuf_dma_init_kernel
[ 36.858075] cx88_alsa: Unknown symbol videobuf_pci_dma_unmap
[ 36.858144] cx88_alsa: Unknown symbol videobuf_pci_dma_map
[ 36.858192] cx88_alsa: Unknown symbol cx88_risc_databuffer
[ 36.858224] cx88_alsa: disagrees about version of symbol videobuf_to_dma
[ 36.858226] cx88_alsa: Unknown symbol videobuf_to_dma
[ 37.472408] ivtv: Start initialization, version 1.2.0
[ 37.472888] ivtv0: Initializing card #0
[ 37.472895] ivtv0: Autodetected Hauppauge card (cx23416 based)
[ 37.493943] ACPI: PCI Interrupt 0000:02:08.0[A] -> GSI 18 (level, low) -> IRQ 21
[ 37.542924] tveeprom 0-0050: Hauppauge model 23552, rev D592, serial# 2995164
[ 37.542928] tveeprom 0-0050: tuner model is Philips FQ1236A MK4 (idx 92, type 57)
[ 37.542931] tveeprom 0-0050: TV standards NTSC(M) (eeprom 0x08)
[ 37.542934] tveeprom 0-0050: second tuner model is Philips TEA5768HL FM Radio (idx 101, type 62)
[ 37.542937] tveeprom 0-0050: audio processor is CX25843 (idx 37)
[ 37.542939] tveeprom 0-0050: decoder processor is CX25843 (idx 30)
[ 37.542941] tveeprom 0-0050: has radio, has no IR receiver, has no IR transmitter
[ 37.542946] ivtv0: Autodetected WinTV PVR 500 (unit #1)
[ 37.936549] nvidia: module license 'NVIDIA' taints kernel.
[ 38.479489] usbcore: registered new interface driver hiddev
[ 38.489474] input: HID 1241:1166 as /devices/pci0000:00/0000:00:03.0/usb1/1-1/1-1:1.0/input/input5
[ 38.518305] input,hidraw0: USB HID v1.00 Mouse [HID 1241:1166] on usb-0000:00:03.0-1
[ 38.518341] usbcore: registered new interface driver usbhid
[ 38.518347] /build/buildd/linux-2.6.24/drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
[ 38.540757] cx25840 0-0044: cx25843-23 found @ 0x88 (ivtv i2c driver #0)
[ 38.542592] tuner 0-0060: chip found @ 0xc0 (ivtv i2c driver #0)
[ 38.542599] tea5767 0-0060: type set to Philips TEA5767HN FM Radio
[ 38.550488] tuner 0-0043: chip found @ 0x86 (ivtv i2c driver #0)
[ 38.550492] tda9887 0-0043: creating new instance
[ 38.550494] tda9887 0-0043: tda988[5/6/7] found
[ 38.551704] tuner 0-0061: chip found @ 0xc2 (ivtv i2c driver #0)
[ 38.551742] wm8775 0-001b: chip found @ 0x36 (ivtv i2c driver #0)
[ 38.559742] tuner-simple 0-0061: creating new instance
[ 38.559746] tuner-simple 0-0061: type set to 57 (Philips FQ1236A MK4)
[ 38.561104] ivtv0: Registered device video0 for encoder MPG (4096 kB)
[ 38.561133] ivtv0: Registered device video32 for encoder YUV (2048 kB)
[ 38.561161] ivtv0: Registered device vbi0 for encoder VBI (1024 kB)
[ 38.561189] ivtv0: Registered device video24 for encoder PCM (320 kB)
[ 38.561218] ivtv0: Registered device radio0 for encoder radio
[ 38.561221] ivtv0: Initialized card #0: WinTV PVR 500 (unit #1)
[ 38.561295] ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 22
[ 38.562011] NVRM: loading NVIDIA UNIX x86 Kernel Module 169.12 Thu Feb 14 17:53:07 PST 2008
[ 38.563237] ACPI: PCI Interrupt 0000:00:02.7[C] -> GSI 18 (level, low) -> IRQ 21
[ 38.582999] ivtv1: Initializing card #1
[ 38.583013] ivtv1: Autodetected Hauppauge card (cx23416 based)
[ 38.585453] ACPI: PCI Interrupt 0000:02:09.0[A] -> GSI 19 (level, low) -> IRQ 20
[ 38.634455] tveeprom 1-0050: Hauppauge model 23552, rev D592, serial# 2995164
[ 38.634458] tveeprom 1-0050: tuner model is Philips FQ1236A MK4 (idx 92, type 57)
[ 38.634462] tveeprom 1-0050: TV standards NTSC(M) (eeprom 0x08)
[ 38.634465] tveeprom 1-0050: second tuner model is Philips TEA5768HL FM Radio (idx 101, type 62)
[ 38.634468] tveeprom 1-0050: audio processor is CX25843 (idx 37)
[ 38.634470] tveeprom 1-0050: decoder processor is CX25843 (idx 30)
[ 38.634472] tveeprom 1-0050: has radio, has no IR receiver, has no IR transmitter
[ 38.634476] ivtv1: Correcting tveeprom data: no radio present on second unit
[ 38.634479] ivtv1: Autodetected WinTV PVR 500 (unit #2)
[ 38.793177] cx25840 1-0044: cx25843-23 found @ 0x88 (ivtv i2c driver #1)
[ 38.796537] tuner 1-0043: chip found @ 0x86 (ivtv i2c driver #1)
[ 38.796544] tda9887 1-0043: creating new instance
[ 38.796546] tda9887 1-0043: tda988[5/6/7] found
[ 38.797789] tuner 1-0061: chip found @ 0xc2 (ivtv i2c driver #1)
[ 38.797825] wm8775 1-001b: chip found @ 0x36 (ivtv i2c driver #1)
[ 38.805869] tuner-simple 1-0061: creating new instance
[ 38.805874] tuner-simple 1-0061: type set to 57 (Philips FQ1236A MK4)
[ 38.807234] ivtv1: Registered device video1 for encoder MPG (4096 kB)
[ 38.807266] ivtv1: Registered device video33 for encoder YUV (2048 kB)
[ 38.807331] ivtv1: Registered device vbi1 for encoder VBI (1024 kB)
[ 38.807360] ivtv1: Registered device video25 for encoder PCM (320 kB)
[ 38.807363] ivtv1: Initialized card #1: WinTV PVR 500 (unit #2)
[ 38.807386] ivtv: End initialization
[ 38.885419] intel8x0_measure_ac97_clock: measured 55763 usecs
[ 38.885427] intel8x0: clocking to 48000
[ 41.215949] lp: driver loaded but no devices found
[ 41.615249] Adding 3028212k swap on /dev/sda5. Priority:-1 extents:1 across:3028212k
[ 42.364983] EXT3 FS on sda6, internal journal
[ 43.942765] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 45.102884] No dock devices found.
[ 45.669797] powernow: PowerNOW! Technology present. Can scale: frequency and voltage.
[ 45.673539] powernow: Trying ACPI perflib
[ 45.673605] powernow: ACPI perflib can not be used in this platform
[ 45.673609] powernow: ACPI and legacy methods failed
[ 45.673611] powernow: See http://www.codemonkey.org.uk/projects/cpufreq/powernow-k7.html
[ 47.714597] NET: Registered protocol family 10
[ 47.715549] lo: Disabled Privacy Extensions
[ 49.448376] apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
[ 49.448386] apm: overridden by ACPI.
[ 56.514749] ivtv1: Loaded v4l-cx2341x-enc.fw firmware (376836 bytes)
[ 56.712240] ivtv1: Encoder revision: 0x02060039
[ 60.186733] cx25840 1-0044: loaded v4l-cx25840.fw firmware (16382 bytes)
[ 61.057398] ivtv0: Loaded v4l-cx2341x-enc.fw firmware (376836 bytes)
[ 61.254773] ivtv0: Encoder revision: 0x02060039
[ 64.493684] cx25840 0-0044: loaded v4l-cx25840.fw firmware (16382 bytes)
[ 67.195198] eth0: Media Link On 100mbps full-duplex
[ 67.483808] agpgart: Found an AGP 3.5 compliant device at 0000:00:00.0.
[ 67.483834] agpgart: Putting AGP V3 device at 0000:00:00.0 into 8x mode
[ 67.484824] agpgart: Putting AGP V3 device at 0000:01:00.0 into 8x mode
[ 67.832955] NET: Registered protocol family 17
[ 80.742788] eth0: no IPv6 routers present

Michael Krufky (mkrufky) wrote :

I am seeing the same issue. Is this new bug a side effect of the "fix" from bug # 212100 ?

Michael Krufky (mkrufky) wrote :

I only see this issue when I try to load modules that depend on videobuf. (cx88, saa7134, cx23885)

Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team
ca111a (ca111a) wrote :

same issue here, Mythubuntu 8.04 beta, Pinnacle PCTV 800i card, was working with 2.6.24-12, dist-upgraded yesterday to 2.6.24-16-generic and now seeing:
[ 340.574722] cx88xx: disagrees about version of symbol videobuf_dma_free
[ 340.574727] cx88xx: Unknown symbol videobuf_dma_free
...

Tim Gardner (timg-tpi) wrote :

ALSA is built externally from the kernel. Make sure you have linux-headers-lum-2.6.24-16-* installed for your flavour, e.g.,

sudo apt-get install linux-headers-lum-2.6.24-16-generic

If your build environment does not use the kernel Makefile, then you must be sure that /usr/src/linux-headers-lum-2.6.24-16-generic is first in the include path.

Changed in linux-ubuntu-modules-2.6.24:
assignee: ubuntu-kernel-team → timg-tpi
importance: Undecided → Low
status: New → In Progress
Jasper (jrenow-clarke) wrote :

I had this same problem with kernel 2.6.20-16-generic when building the latest drivers from the linuxtv.org mercurial repository.

Since it was complaining about problems with videobuf in the cx88 modules and I needed to get it working quickly, I looked back through the mecurial repository and found this entry :

Adapt drivers to use the newer videobuf modules
author Mauro Carvalho Chehab
 Thu Aug 23 16:37:49 2007 -0300 (8 months ago)
changeset 6252 5098df4bc9ac
manifest 5098df4bc9ac http://linuxtv.org/hg/v4l-dvb/rev/5098df4bc9ac
parent 6251 1e4ccd1b681a
child 6253 21e7c8924180

So I wound the linuxtv.org source back to before this change, built and rebooted and the device is now working again.

hg revert -d 08/22/2007 --all

Found revision 6090 from Wed Aug 22 13:58:47 2007 +0200

Michael Krufky (mkrufky) wrote :

In response to Tim Gardner's post:

The v4l-dvb build system uses kernel headers from the location:

/lib/modules/`uname -r`/build

After installing the 2.6.24-16-generic kernel package, the above directory is a symlink to:

/usr/src/linux-headers-2.6.24-16-generic

This is what we are building v4l-dvb against. Using these headers, we can successfully build the subsystem tree, but we run into the "disagrees about version of symbol videobuf_foo" issue when loading these new modules.

Now, you suggest that we instead use:

/usr/src/linux-headers-lum-2.6.24-16-generic

So, I changed the symlink in /lib/modules/2.6.24-16-generic/build to point to the lum headers.

After this change, I can no longer build the modules at all:

make -C /home/mk/v4l-dvb/v4l
make[1]: Entering directory `/home/mk/v4l-dvb/v4l'
./scripts/make_kconfig.pl /lib/modules/2.6.24-16-generic/build /lib/modules/2.6.24-16-generic/build
Updating/Creating .config
Preparing to compile for kernel version 2.6.24
File not found: /lib/modules/2.6.24-16-generic/build/.config at ./scripts/make_kconfig.pl line 32, <IN> line 4.
Preparing to compile for kernel version 2.6.24
File not found: /lib/modules/2.6.24-16-generic/build/.config at ./scripts/make_kconfig.pl line 32, <IN> line 4.
make[1]: *** No rule to make target `.myconfig', needed by `config-compat.h'. Stop.
make[1]: Leaving directory `/home/mk/v4l-dvb/v4l'
make: *** [all] Error 2

So, I see two issues here.

issue number 1, you say that we should use these lum headers, instead of the headers pointed to by the /lib/modules/`uname -r`/build symlink

issue number 2, the lum headers are incomplete

Users need the ability to upgrade their v4l / dvb subsystem kernel modules -- This has always been possible in the past, and I don't understand why we have this problem now.

Side note: this is not merely a result of any alsa conflict -- the error showing is a symbol version conflict with videobuf .

Jasper's post is out of context -- rolling back to a mercurial repository snapshot that pre-dates the 2.6.24 kernel that ubuntu is shipping defeats the purpose of building the linuxtv kernel modules to begin with.

riddlebox (james-nigmatech) wrote :

I tried to install the linux-headers-lum package as well and had the same results, it always errored out when I tried to run make, I too do not want to have to revert to old versions of v4l, and I was able to install these drivers on gutsy so why not now?

ca111a (ca111a) wrote :

Removed the installed modules, cleaned, installed linux-headers-lum-2.6.24-16-generic, set C_LIBRARY_PATH/CPLUS_LIBRARY_PATH, built, installed. Still the same issue. It seemed to be able to temporarily insert it when "make insmod" but still with some "error (-19)". Were gone again after reboot with the same "disagrees about version of symbol". If not doing right - could you please provide steps.
Just in case installed clean system from a week-old CD (2.6.24-12). Did NOT do "dist-upgrade" this time. Got latest linuxtv tar, built modules, installed, rebooted. Everything seems to be working fine. The modules load after rebooting, no errors in dmesg.

Michael Krufky (mkrufky) wrote :

I found a workaround to this problem.

First, I noticed the following.....

mk@aftermath:/lib/modules/2.6.24-16-generic/ubuntu/media$ find /lib/modules/`uname -r` | grep cx88xx.ko
/lib/modules/2.6.24-16-generic/ubuntu/media/cx88/cx88xx.ko
/lib/modules/2.6.24-16-generic/kernel/drivers/media/video/cx88/cx88xx.ko
mk@aftermath:/lib/modules/2.6.24-16-generic/ubuntu/media$ find /lib/modules/`uname -r` | grep saa7134.ko
/lib/modules/2.6.24-16-generic/ubuntu/media/saa7134/saa7134.ko
/lib/modules/2.6.24-16-generic/kernel/drivers/media/video/saa7134/saa7134.ko

The ubuntu kernel has its own separate copy of the cx88 and saa7134 modules! When we build new modules in the v4l-dvb repository from linuxtv.org, we are adding a second version of these modules.

There are copies of some other v4l modules, too:

mk@aftermath:/lib/modules/2.6.24-16-generic/ubuntu/media$ ls /lib/modules/`uname -r`/ubuntu/media
cx88 gspcav1 lirc ov511 quickcam saa7134 stk11xx usbvideo

It is ubuntu's version of these modules that is loading by default, and that is why we have the symbol version conflict with videobuf_foo.

To workaround the problem, delete the offending ubuntu driver from the directory above, then run "sudo depmod -a"

for example:

sudo rm -rf /lib/modules/`uname -r`/ubuntu/media/cx88
sudo rm -rf /lib/modules/`uname -r`/ubuntu/media/saa7134
sudo depmod -a

So, this issue does indeed seem to have been caused by bug #212100 's "fix".

This is not complete solution (killing module dupes).
Since kernel without LUM has CONFIG_SND not set, v4l-dvb compiling doesn't build saa7134-alsa.ko at all.

Forcing this options in .config (in linux-headers-2.6.24-12-generic) cause saa7134-alsa to be built, but unusable - it complains about many unresolved symbos during such "forced" compiling, and final module is unusable and cause segmentation fault.

So, killing dupes is NOT fully solution.

And - it still necessary to have a solution (or at leas how-to) to build v4l-dvb from linuxtv.org having LUM.
Which headers it is necessary to have?

linux-headers-2.6.24-12-generic - doesn't work, since ALSA is disabled in .config due to LUM
linux-headers-lum-2.6.24-16-generic - does-nt work, since it is NOT complete headers and v4l doesn't built with this headers at all

As mentioned above, v4l finds headers via /lib/modules/`uname -r`/build symlink.

Tim Gardner (timg-tpi) wrote :

This isn't going to get fixed for Hardy. It remains to be seen what solution we adopt for Intrepid and 3rd party modules. Perhaps DKMS.

Changed in linux-ubuntu-modules-2.6.24:
assignee: timg-tpi → nobody
status: In Progress → Won't Fix
ca111a (ca111a) wrote :

Similar problem with uvcvideo module:

~$sudo modprobe uvcvideo
FATAL: Error inserting uvcvideo (/lib/modules/2.6.24-16-generic/kernel/ubuntu/media/usbvideo/uvcvideo.ko): Unknown symbol in module, or unknown parameter (see dmesg)

~$dmesg
[ 5664.367259] uvcvideo: disagrees about version of symbol video_devdata
[ 5664.367263] uvcvideo: Unknown symbol video_devdata
[ 5664.367457] uvcvideo: disagrees about version of symbol video_unregister_device
[ 5664.367459] uvcvideo: Unknown symbol video_unregister_device
[ 5664.367525] uvcvideo: disagrees about version of symbol video_device_alloc
[ 5664.367527] uvcvideo: Unknown symbol video_device_alloc
[ 5664.367574] uvcvideo: disagrees about version of symbol video_register_device
[ 5664.367576] uvcvideo: Unknown symbol video_register_device
[ 5664.367718] uvcvideo: disagrees about version of symbol video_device_release
[ 5664.367720] uvcvideo: Unknown symbol video_device_release

Michael Krufky (mkrufky) wrote :

ca111a -- I do not consider the uvcvideo issue to be a problem - rather, it is a matter of fact:

If you replace the videodev module by installing new v4l-dvb modules from linuxtv.org, then you will need to rebuild the uvcvideo module against the v4l-dvb headers, rather than the ubuntu source headers.

When (and if) uvcvideo ever gets merged into the v4l-dvb repository, then this issue will be a moot point for you.

Julian (perlsite) wrote :

Same issue with v4l-dvb-experimental (in order to run AverTV Cardbus E506R).
After installation I get in log following errors:

[ 5772.858163] Linux video capture interface: v2.00
[ 5772.904696] saa7134: disagrees about version of symbol video_unregister_device
[ 5772.904701] saa7134: Unknown symbol video_unregister_device
[ 5772.904810] saa7134: disagrees about version of symbol video_device_alloc
[ 5772.904812] saa7134: Unknown symbol video_device_alloc
[ 5772.904913] saa7134: disagrees about version of symbol video_register_device
[ 5772.904915] saa7134: Unknown symbol video_register_device
[ 5772.905459] saa7134: disagrees about version of symbol video_device_release
[ 5772.905461] saa7134: Unknown symbol video_device_release
[ 5772.987785] saa7134: disagrees about version of symbol video_unregister_device
[ 5772.987791] saa7134: Unknown symbol video_unregister_device
[ 5772.987900] saa7134: disagrees about version of symbol video_device_alloc
[ 5772.987901] saa7134: Unknown symbol video_device_alloc
[ 5772.988003] saa7134: disagrees about version of symbol video_register_device
[ 5772.988005] saa7134: Unknown symbol video_register_device
[ 5772.988560] saa7134: disagrees about version of symbol video_device_release
[ 5772.988562] saa7134: Unknown symbol video_device_release
[ 5773.019849] saa7134_alsa: Unknown symbol saa7134_tvaudio_setmute
[ 5773.020005] saa7134_alsa: Unknown symbol saa_dsp_writel
[ 5773.020100] saa7134_alsa: Unknown symbol saa7134_devlist
[ 5773.020357] saa7134_alsa: Unknown symbol saa7134_pgtable_alloc
[ 5773.020416] saa7134_alsa: Unknown symbol saa7134_pgtable_build
[ 5773.020468] saa7134_alsa: Unknown symbol saa7134_pgtable_free
[ 5773.020521] saa7134_alsa: Unknown symbol saa7134_dmasound_init
[ 5773.020660] saa7134_alsa: Unknown symbol saa7134_dmasound_exit
[ 5773.021111] saa7134_alsa: Unknown symbol saa7134_set_dmabits

I don't really know what to do since everything worked ok for me under Ubuntu 7.10!
Any suggestions?

ca111a (ca111a) wrote :

To: Tim Gardner,
Sorry to bother you again, but could you please point me to a guide on how to build against LUM headers? Do I need to somehow combine them with the `uname -r` headers?
Thanks!

To: Michael Krufky
The problem I posted was with the latest uvcvideo module built from the source against the `uname -r` headers. The ubuntu-shipped module loads fine (and works), but somehow disables xc5000 and cx88xx modules to load. How do I build the uvcvideo module against the v4l-dvb headers, rather than the ubuntu source headers, what are v4l-dvb headers?
Thanks!

marduk (dennis-schwan) wrote :

I am also searching for a solutions for that problem...

ehcpdeveloper (ehcpdeveloper) wrote :

similar problem for me,
partial solution and a helper script is attached

Posh (jpontious) wrote :

Well new image came out (2.6.24-17). Seems this bug was thought about...

 * sound: Include config.h and config1.h into lum headers. This enables
     third party modules to be built correctly against LUM ALSA headers.
     This fix is a follow-on to the work done to correclty build cx88/saa1734
     alsa modules.

* Removed cx88/saa1734 media modules. Only build ALSA modules for these
devices.
     Building the media modules in LUM was causing problems for Mythbuntu
     when they upgraded kernel video modules. They aren't needed in LUM
     and have no ALSA dependencies. The cx88/saa1734 kernel modules are
     indentical to those that were being built in LUM.

So now it looks like the only problem is getting the cx88 and saa7134 alsa modules to compile.
I tried several things. I have been unsuccessful in forcing them to compile at this point. I tried sym linking everything from the LUM heaaders sound directory into the regular linux headers sound directory but that didn't seem to help. Maybe someone else out there can find a workaround for this.

This is an important issue, "being unable to compile linuxtv drivers on ubuntu."

this also affects our trust to ubuntu and linux in future,
i try to build a set-top-box using ubuntu and mythtv, and i cannot do
it only because of this compilation issue.

So, i may also do a payment to linuxtv community or whoever solves
this issue permanently...
i think we must support linux/ubuntu community (or Pardus in Turkiye/Turkey)

Thanks, see you

2008/5/27 Posh <email address hidden>:
> Well new image came out (2.6.24-17). Seems this bug was thought
> about...
>
> * sound: Include config.h and config1.h into lum headers. This enables
> third party modules to be built correctly against LUM ALSA headers.
> This fix is a follow-on to the work done to correclty build cx88/saa1734
> alsa modules.
>
> * Removed cx88/saa1734 media modules. Only build ALSA modules for these
> devices.
> Building the media modules in LUM was causing problems for Mythbuntu
> when they upgraded kernel video modules. They aren't needed in LUM
> and have no ALSA dependencies. The cx88/saa1734 kernel modules are
> indentical to those that were being built in LUM.
>
> So now it looks like the only problem is getting the cx88 and saa7134 alsa modules to compile.
> I tried several things. I have been unsuccessful in forcing them to compile at this point. I tried sym linking everything from the LUM heaaders sound directory into the regular linux headers sound directory but that didn't seem to help. Maybe someone else out there can find a workaround for this.
>
> --
> linuxtv.org mercurial repository wont build against hardy kernel due to "disagrees about version of symbol videobuf_*
> https://bugs.launchpad.net/bugs/220857
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
İ.Bahattin Vidinli
Elk-Elektronik Müh.
-------------------
iletisim bilgileri (Tercih sirasina gore):
skype: bvidinli (sesli gorusme icin, www.skype.com)
msn: <email address hidden>
yahoo: bvidinli

+90.532.7990607
+90.505.5667711

stuartmarsden (stuartmarsden) wrote :

I have the same problem mixing v4l-dvb-experimental with the svn version of uvcvideo. I got around it by forcing the module:

sudo modprobe -f uvcvideo

The module loaded and the camera works. Not a good solution but gets me working.

Does anyone know how I set the module to load automatically by being forced. So I do not have to modprobe after every reboot.

Yashka Oreza (yashka) wrote :

Does anyone have a solution to the catch-22 alsa module issues that Alexey Vinogradov brought up? I'm having this problem with the v4l that I compiled in order to run my pinnacle 800i on mythbuntu, and it's knocked out my analog audio support for both my cx88 cards. It's the same sort of thing as above - cx88-alsa.ko doesn't get built, and forcing it by editing the .config will build a useless module.

Dan Martin (dmartin-dmartin) wrote :

Any news on this? I know this is marked Won't Fix, but here we are months later and this issue is still a problem, and doesn't seem to be going anywhere. As Yashka and Alexey mention, there currently is no fix. You can download the lum headers, but what do you do with them? The lum header package in Ubuntu is not the complete headers, it's just the lum-specific parts of the headers. It's not clear how to get them mixed with the standard headers. Deleting cx88_alsa.ko doesn't help, as you somehow have to build it.

I've spent a couple days working on this issue, and I've completely scoured the net for information on this bug. I've found plenty of people with this problem. Unfortunately, no one has the solution.

The worst part is, I've learned enough to know that this problem is specific to lum (linux ubuntu modules) and is therefor a Ubuntu-only issue. We can't go upstream for a fix. By marking this low priority and Won't Fix, it leaves those of us with the issue with no alternatives (other than to switch to another distribution, which, really, I don't want to do). I'm not really even asking for a fix to this particular problem - I'm asking for a fix to compiling things against the lum headers.

Yashka Oreza (yashka) wrote :

I gave up on this issue some time ago. I compiled and installed a 2.6.25 kernel, and compiled alsa directly into it. This has worked quite well so far.

Julian (perlsite) wrote :

Hi all,

I have similar problem: saa7134_alsa is not loaded due to "disagrees about version of symbol".
You can see attached log with error messages.

What I have is a fresh Ubuntu 8.04 installation:

$> uname -r
2.6.24-19-generic

$>lsmod |grep saa
saa7134 130892 1
compat_ioctl32 2304 1 saa7134
video_buf 26372 1 saa7134
ir_kbd_i2c 9872 1 saa7134
ir_common 39940 2 saa7134,ir_kbd_i2c
videodev 30080 2 saa7134
v4l2_common 18304 3 tuner,saa7134,videodev
v4l1_compat 15492 2 saa7134,videodev
i2c_core 24832 7 dvb_pll,tda1004x,xc3028_tuner,tuner,saa7134,ir_kbd_i2c,nvidia

What I was supposed to do is to install v4l-experimental in order to run my AverTV E506R card (that works perfectly in Ubuntu 7.10). But is seems that only few modules were loaded and others (like saa7134_alsa) disagrees.

Is it any workaround available. I really hate myself that I use Windows to watch TV :(

Same problem for me. A partial solution was to install a vanilla kernel from kernel.org. cx88-alsa loads now (after working around an I2C-related bug) but the audio I get out of it is wildly distorted - mythtv sounds like it is sampling at ~8 kHz but is otherwise clear, kradio has this growling, sort of "industrial" noise on top of the audio from the radio station, etc.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers